%define name xmms-sidplay
%define version 0.40
%define release 8mdk

Name:          %name
Version:       %version
Release:       %release
Summary:       SidPlay Output plugin for XMMS
Group:         Sound
URL:           http://www.lysator.liu.se/~hallon/sidplay.html
License:       GPL
BuildRequires: libxmms1-devel libsidplay1-devel
BuildRequires: libgtk+1.2-devel
Source:        %name-%version.tar.bz2
Patch:	       xmms-sidplay-0.40-linking.patch.bz2
BuildRoot:     %_tmppath/%name-buildroot
Requires:      xmms libsidplay1

%description
This is an input plugin for xmms based on libsidplay and is used to play 
Commodore 64 SID music. You can drag the slide bar to switch the subsongs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch

%build
automake
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
make install libdir=$RPM_BUILD_ROOT%{_libdir}/xmms/Input
rm -f %buildroot%{_libdir}/xmms/Input/*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING INSTALL
%{_libdir}/xmms/Input/libsidplay.so

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.40-8mdk
- clean out unused files
- fix buildrequires

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.40-7mdk
- gcc 3.2-0.3mdk build

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.40-6mdk
- gcc 3.2 build

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.40-5mdk
- gcc 3.1 build

* Sun Mar 10 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.40-4mdk
- rebuild with new libsidplay

* Wed Feb 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.40-3mdk
- patch to fix linking with stdc++ libs

* Thu Nov 15 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 0.40-2mdk
- Corrected spec file.
- Added URL tag.

* Fri Jun 22 2001 Etienne Faure <etienne@mandrakesoft.com> 0.40-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com>:
	- 0.40
	- removed patch

* Thu Jan 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-2mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- fixed requirements

* Wed Nov 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.31-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
	- fixed songlength display and subsong switching
